services:
  postgres:
    image: postgis/postgis:16-3.4
    container_name: recoleccion-pg
    restart: unless-stopped
    environment:
      POSTGRES_USER:     recoleccion
      POSTGRES_PASSWORD: recoleccion123
      POSTGRES_DB:       recoleccion_db
    ports:
      - "5433:5432"
    volumes:
      - pgdata:/var/lib/postgresql/data
      - ./init:/docker-entrypoint-initdb.d

  redis:
    image: redis:7-alpine
    container_name: recoleccion-redis
    restart: unless-stopped
    ports:
      - "6380:6379"
    volumes:
      - redisdata:/data

volumes:
  pgdata:
  redisdata:
